

% --------- queries ---------------

% ?- movie('american beauty', Y).
% ?- movie(M, 2000).
% ?- movie(M, Y), lt(Y, 2000).
% ?- movie(M, Y), gt(Y, 1999).

% ?- director(M1, D), movie(M1, 1998).



% movie(M, Y): movie M came out in year Y

movie('american beauty', 1999).
movie('anna', 1987).
movie('barton fink', 1991).
movie('the big lebowski', 1998).
movie('blade runner', 1997).
movie('blood simple', 1984).
movie('the cotton club', 1984).
movie('cq', 2001).
movie('crimewave', 1985).
movie('down from the mountain', 2000).
movie('fargo', 1996).
movie('the firm', 1993).
movie('frankenweenie', 1984).
movie('ghost busters', 1984).
movie('girl with a pearl earring', 2003).
movie('the godfather', 1972).
movie('the godfather part ii', 1974).
movie('the godfather part iii', 1990).
movie('groundhog day', 1993).
movie('hail caesar', 2006).
movie('hearts of darkness a filmmakers apocalypse', 1991).
movie('the hudsucker proxy', 1994).
movie('inside monkey zetterland', 1992).
movie('intolerable cruelty', 2003).
movie('the ladykillers', 2004).
movie('lick the star', 1998).
movie('lost in translation', 2003).
movie('the man who wasnt there', 2001).
movie('marie antoinette', 2006).
movie('miller s crossing', 1990).
movie('mission impossible', 1996).
movie('no country for old men', 2007).
movie('o brother where art thou', 2000).
movie('the outsiders', 1983).
movie('peggy sue got married', 1986).
movie('raising arizona', 1987).
movie('rumble fish', 1983).
movie('spies like us', 1985).
movie('star wars episode i the phantom menace', 1999).
movie('torrance rises', 1999).
movie('the usual suspects', 1995).
movie('the virgin suicides', 1999).
movie('an american rhapsody', 2001).
movie('the black dahlia', 2006).
movie('fall', 1997).
movie('eight legged freaks', 2002).
movie('ghost world', 2000).
movie('a good woman', 2004).
movie('if lucy fell', 1996).
movie('home alone 3', 1997).
movie('the horse whisperer', 1998).
movie('in good company', 2004).
movie('just cause', 1995).
movie('the island', 2005).
movie('a love song for bobby long', 2004).
movie('manny  lo', 1996).
movie('match point', 2005).
movie('my brother the pig', 1999).
movie('north', 1994).
movie('the perfect score', 2004).
movie('the spongebob squarepants movie', 2004).



% director(M, D): movie M was directed by director D

director('american beauty', 'sam mendes').
director('anna', 'yurek bogayevicz').
director('barton fink', 'ethan coen').
director('barton fink', 'joel coen').
director('the big lebowski', 'joel coen').
director('blade runner', 'joseph d kucan').
director('blood simple', 'ethan coen').
director('blood simple', 'joel coen').
director('the cotton club', 'francis ford coppola').
director('cq', 'roman coppola').
director('crimewave', 'sam raimi').
director('down from the mountain', 'nick doob').
director('down from the mountain', 'chris hegedus').
director('down from the mountain', 'd a pennebaker').
director('fargo', 'ethan coen').
director('fargo', 'joel coen').
director('the firm', 'sydney pollack').
director('frankenweenie', 'tim burton').
director('ghost busters', 'ivan reitman').
director('girl with a pearl earring', 'peter webber').
director('the godfather', 'francis ford coppola').
director('the godfather part ii', 'francis ford coppola').
director('the godfather part iii', 'francis ford coppola').
director('groundhog day', 'harold ramis').
director('hail caesar', 'ethan coen').
director('hail caesar', 'joel coen').
director('hearts of darkness a filmmakers apocalypse', 'fax bahr').
director('hearts of darkness a filmmakers apocalypse', 'eleanor coppola').
director('hearts of darkness a filmmakers apocalypse', 'george hickenlooper').
director('the hudsucker proxy', 'ethan coen').
director('the hudsucker proxy', 'joel coen').
director('inside monkey zetterland', 'jefery levy').
director('intolerable cruelty', 'ethan coen').
director('intolerable cruelty', 'joel coen').
director('the ladykillers', 'ethan coen').
director('the ladykillers', 'joel coen').
director('lick the star', 'sofia coppola').
director('lost in translation', 'sofia coppola').
director('the man who wasnt there', 'ethan coen').
director('the man who wasnt there', 'joel coen').
director('marie antoinette', 'sofia coppola').
director('miller s crossing', 'ethan coen').
director('miller s crossing', 'joel coen').
director('mission impossible', 'brian de palma').
director('no country for old men', 'joel coen').
director('o brother where art thou', 'ethan coen').
director('o brother where art thou', 'joel coen').
director('the outsiders', 'francis ford coppola').
director('peggy sue got married', 'francis ford coppola').
director('raising arizona', 'ethan coen').
director('raising arizona', 'joel coen').
director('rumble fish', 'francis ford coppola').
director('spies like us', 'john landis').
director('star wars episode i the phantom menace', 'george lucas').
director('torrance rises', 'lance bangs').
director('torrance rises', 'spike jonze').
director('torrance rises', 'torrance community dance group').
director('the usual suspects', 'bryan singer').
director('the virgin suicides', 'sofia coppola').
director('an american rhapsody', 'va g rdos').
director('the black dahlia', 'brian de palma').
director('fall', 'eric schaeffer').
director('eight legged freaks', 'ellory elkayem').
director('ghost world', 'terry zwigoff').
director('a good woman', 'mike barker').
director('if lucy fell', 'eric schaeffer').
director('home alone 3', 'raja gosnell').
director('the horse whisperer', 'robert redford').
director('in good company', 'paul weitz').
director('just cause', 'arne glimcher').
director('the island', 'michael bay').
director('a love song for bobby long', 'shainee gabel').
director('manny  lo', 'lisa krueger').
director('match point', 'woody allen').
director('my brother the pig', 'erik fleming').
director('north', 'rob reiner').
director('the perfect score', 'brian robbins').
director('the spongebob squarepants movie', 'stephen hillenburg').

