
% calls.pro
% Andrew Davison, ad@fivedots.coe.psu.ac.th, June 2020

% ?- maplist(add2, [2,5,7,13,5], L).
% ?- maps([add2, mult3], [2,5,7,13,5], L).
% ?- not( member(5, [1,2,3])).



maps([], _, []).
maps([Op|Ops], L, [Rs|Res]) :-
  maplist(Op, L, Rs),
  maps(Ops, L, Res).


maplist(_, [], []).
maplist(P, [X|L], [Y|M]) :-
  univ(Q, P,[X,Y]), call(Q),    % P(X, Y)
  maplist(P, L, M).


add2(X, Y) :-
  is(Y, add(X,2)).

mult3(X, Y) :-
  is(Y, mult(X,3)).


not(X) :- call(X), !, fail.
not(X).

member(X, [X|_]).
member(X, [_|Rest]) :-
  member(X, Rest).

