
% cut.pro
% Andrew Davison, ad@fivedots.coe.psu.ac.th, June 2020

% cut tests

a :- writeln(1).
a :- writeln(2).
a :- writeln(3).

b :- writeln(1).
b :- !, writeln(2).
b :- writeln(3).


% ? - merge([1,2,4,5,7], [3,4,6,8], L).

merge([X|Xs],[Y|Ys],[X|Zs]) :-
  lt(X,Y), !, 
  merge(Xs,[Y|Ys],Zs).
merge([X|Xs],[Y|Ys],[X,Y|Zs]) :-
  eq(X,Y), !, 
  merge(Xs,Ys,Zs).
merge([X|Xs],[Y|Ys],[Y|Zs]) :-
  gt(X,Y), !, 
  merge([X|Xs],Ys,Zs).
merge(Xs,[],Xs) :- !.
merge([],Xs,Xs) :- !.
