
% family.pro
% Andrew Davison, ad@fivedots.coe.psu.ac.th, June 2020

% a family database

% ?- grandParent(GP, john).
% ?- mother(X, john).

childOf(sue, john).   
childOf(sam, john).  
childOf(sue, jane).   
childOf(sam, jane).   
childOf(george, sue).   
childOf(gina, sue). 

male(john).   
male(sam).     
male(george). 

female(sue).  
female(jane).  
female(gina). 

father(X,Y) :- childOf(X,Y), male(X).

mother(X,Y) :- childOf(X,Y), female(X).

grandParent(X,Z) :- father(X,Y), childOf(Y,Z).
grandParent(X,Z) :- mother(X,Y), childOf(Y,Z).
